umbrello: ObjectNodeDialog Class Reference

umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Classes | Public Member Functions | Protected Slots | Protected Member Functions | Protected Attributes | List of all members
ObjectNodeDialog Class Reference

`#include <objectnodedialog.h>`

Inheritance diagram for ObjectNodeDialog:

## Classes
struct | GeneralPageWidgets

## Public Member Functions
| ObjectNodeDialog (QWidget *parent, ObjectNodeWidget *pWidget)
bool | getChangesMade () const
Public Member Functions inherited from MultiPageDialogBase
| MultiPageDialogBase (QWidget *parent, bool withDefaultButton=false)
virtual | ~MultiPageDialogBase ()
void | apply ()
void | setCaption (const QString &caption)
void | accept ()
void | reject ()
KPageWidgetItem * | currentPage () const
void | addPage (KPageWidgetItem *page)
void | setCurrentPage (KPageWidgetItem *page)
int | exec ()
virtual bool | isModified () const

## Protected Slots
void | slotOk ()
void | slotApply ()
void | slotShowState ()
void | slotHideState ()
Protected Slots inherited from MultiPageDialogBase
void | slotEnableButtonOk (bool state)

## Protected Member Functions
void | setupPages ()
void | setupGeneralPage ()
void | showState ()
void | applyPage (KPageWidgetItem *)
Protected Member Functions inherited from MultiPageDialogBase
virtual void | keyPressEvent (QKeyEvent *event)
QFrame * | createPage (const QString &name, const QString &header, Icon_Utils::IconType icon)
KPageWidgetItem * | createPage (const QString &name, const QString &header, Icon_Utils::IconType icon, QWidget *widget)
void | setupGeneralPage (AssociationWidget *widget)
void | applyGeneralPage (AssociationWidget *widget)
void | setupGeneralPage (NoteWidget *widget)
KPageWidgetItem * | setupGeneralPage (MessageWidget *widget)
void | applyGeneralPage (MessageWidget *widget)
KPageWidgetItem * | setupFontPage (const QFont &font)
KPageWidgetItem * | setupFontPage (UMLWidget *widget)
KPageWidgetItem * | setupFontPage (AssociationWidget *widget)
void | resetFontPage (QWidget *widget)
void | applyFontPage (AssociationWidget *widget)
void | applyFontPage (Settings::OptionState *state)
void | applyFontPage (UMLScene *scene)
void | applyFontPage (UMLWidget *widget)
KPageWidgetItem * | setupStylePage (WidgetBase *widget)
KPageWidgetItem * | setupStylePage (AssociationWidget *widget)
void | applyStylePage ()
KPageWidgetItem * | setupAssociationRolePage (AssociationWidget *widget)
void | applyAssociationRolePage ()

## Protected Attributes
ObjectNodeWidget * | m_pObjectNodeWidget
| the widget to represent More...
UMLView * | m_pView
| the diagram the widget is on More...
bool | m_bChangesMade
| holds whether changes in the dialog have been made More...
struct ObjectNodeDialog::GeneralPageWidgets | m_GenPageWidgets
KPageWidgetItem * | pageItemGeneral
KPageWidgetItem * | pageItemFont
KPageWidgetItem * | pageItemStyle
Protected Attributes inherited from MultiPageDialogBase
AssociationGeneralPage * | m_pAssocGeneralPage
NotePage * | m_notePage
SelectOperationPage * | m_operationGeneralPage
AssociationRolePage * | m_pRolePage
KFontChooser * | m_fontChooser
UMLWidgetStylePage * | m_pStylePage
KPageWidgetItem * | m_pageItem
KPageDialog * | m_pageDialog
KPageWidget * | m_pageWidget
bool | m_useDialog
bool | m_isModified

## Additional Inherited Members
Public Types inherited from MultiPageDialogBase
enum | PageType { AutoLayoutPage , ClassPage , CodeImportPage , CodeGenerationPage , CodeViewerPage , FontPage , GeneralPage , UserInterfacePage }
| Available page types. More...
Signals inherited from MultiPageDialogBase
void | okClicked ()
void | applyClicked ()
void | defaultClicked ()
Static Public Member Functions inherited from MultiPageDialogBase
static int | spacingHint ()

## Detailed Description

Displays the properties for a ObjectNodeWidget

Author
  Paul Hensgen Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ ObjectNodeDialog()

ObjectNodeDialog::ObjectNodeDialog | ( | QWidget * | parent,
|  | ObjectNodeWidget * | pWidget
| ) |  |

Constructor.

## Member Function Documentation

## ◆ applyPage()

void ObjectNodeDialog::applyPage | ( | KPageWidgetItem * | item | ) |
| protected

Applies changes to the given page.

## ◆ getChangesMade()

bool ObjectNodeDialog::getChangesMade | ( |  | ) | const
| inline

## ◆ setupGeneralPage()

void ObjectNodeDialog::setupGeneralPage | ( |  | ) |
| protected

Sets up the general page of the dialog.

## ◆ setupPages()

void ObjectNodeDialog::setupPages | ( |  | ) |
| protected

Sets up the pages of the dialog.

## ◆ showState()

void ObjectNodeDialog::showState | ( |  | ) |
| protected

Show the State entry text.

## ◆ slotApply

void ObjectNodeDialog::slotApply | ( |  | ) |
| protectedslot

Entered when Apply button pressed.

## ◆ slotHideState

void ObjectNodeDialog::slotHideState | ( |  | ) |
| protectedslot

## ◆ slotOk

void ObjectNodeDialog::slotOk | ( |  | ) |
| protectedslot

Entered when OK button pressed.

## ◆ slotShowState

void ObjectNodeDialog::slotShowState | ( |  | ) |
| protectedslot

## Member Data Documentation

## ◆ m_bChangesMade

bool ObjectNodeDialog::m_bChangesMade
| protected

holds whether changes in the dialog have been made

## ◆ m_GenPageWidgets

struct ObjectNodeDialog::GeneralPageWidgets ObjectNodeDialog::m_GenPageWidgets
| protected

## ◆ m_pObjectNodeWidget

ObjectNodeWidget* ObjectNodeDialog::m_pObjectNodeWidget
| protected

the widget to represent

## ◆ m_pView

UMLView* ObjectNodeDialog::m_pView
| protected

the diagram the widget is on

## ◆ pageItemFont

KPageWidgetItem * ObjectNodeDialog::pageItemFont
| protected

## ◆ pageItemGeneral

KPageWidgetItem* ObjectNodeDialog::pageItemGeneral
| protected

## ◆ pageItemStyle

KPageWidgetItem * ObjectNodeDialog::pageItemStyle
| protected

The documentation for this class was generated from the following files:

- umbrello/dialogs/objectnodedialog.h
- umbrello/dialogs/objectnodedialog.cpp